From 64685f25317b541ff9a677e34a2df01d136665e4 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Thu, 24 Nov 2022 19:43:14 +1100
Subject: [PATCH 51/56] libjava: Check for libz_convenience.la instead of
 libzgcj_convenience.la.

libjava/ChangeLog:

	* configure.ac: Check for libz_convenience.la instead of libzgcj_convenience.la.
	* configure: Regenerate.
---
 libjava/configure    | 2 +-
 libjava/configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/libjava/configure b/libjava/configure
index 1ae56784d5f..ce96a9a8911 100755
--- a/libjava/configure
+++ b/libjava/configure
@@ -24077,7 +24077,7 @@ ZINCS=
 if test -z "$ZLIBSPEC"; then
    # Use zlib from the GCC tree.
    ZINCS='-I$(top_srcdir)/../zlib'
-   ZLIBS=../zlib/libzgcj_convenience.la
+   ZLIBS=../zlib/libz_convenience.la
 else
    # System's zlib.
    SYS_ZLIBS="$ZLIBSPEC"
diff --git a/libjava/configure.ac b/libjava/configure.ac
index 8fb16765e05..b3d667a7da3 100644
--- a/libjava/configure.ac
+++ b/libjava/configure.ac
@@ -1490,7 +1490,7 @@ ZINCS=
 if test -z "$ZLIBSPEC"; then
    # Use zlib from the GCC tree.
    ZINCS='-I$(top_srcdir)/../zlib'
-   ZLIBS=../zlib/libzgcj_convenience.la
+   ZLIBS=../zlib/libz_convenience.la
 else
    # System's zlib.
    SYS_ZLIBS="$ZLIBSPEC"
-- 
2.38.1

